{
  "format_version": "1.11.0",
  "minecraft:entity": {
    "description": {
      "identifier": "minecraft:player",
      "is_spawnable": false,
      "is_summonable": false,
      "is_experimental": false,
        "scripts":{
          "animate":[
            "hearts",
            "leveling"
          ]
        },
        "animations":{
          "hearts":"controller.animation.hearts",
          "leveling":"controller.animation.leveling"
        }
    },

    "component_groups": {
      "hearts:1": {
        "minecraft:health": {
          "value": 10,
          "max": 10
        }
      },
      "hearts:2": {
        "minecraft:health": {
          "value": 12,
          "max": 12
        }
      },
      "hearts:3": {
        "minecraft:health": {
          "value": 14,
          "max": 14
        }
      },
      "hearts:4": {
        "minecraft:health": {
          "value": 16,
          "max": 16
        }
      },
      "hearts:5": {
        "minecraft:health": {
          "value": 18,
          "max": 18
        }
      },
      "hearts:6": {
        "minecraft:health": {
          "value": 20,
          "max": 20
        }
      },
      "hearts:7": {
        "minecraft:health": {
          "value": 22,
          "max": 22
        }
      },
      "hearts:8": {
        "minecraft:health": {
          "value": 24,
          "max": 24
        }
      },
      "hearts:9": {
        "minecraft:health": {
          "value": 26,
          "max": 26
        }
      },
      "hearts:10": {
        "minecraft:health": {
          "value": 28,
          "max": 28
        }
      },
      "hearts:11": {
        "minecraft:health": {
          "value": 30,
          "max": 30
        }
      },
      "hearts:12": {
        "minecraft:health": {
          "value": 32,
          "max": 32
        }
      },
      "hearts:13": {
        "minecraft:health": {
          "value": 34,
          "max": 34
        }
      },
      "hearts:14": {
        "minecraft:health": {
          "value": 36,
          "max": 36
        }
      },
      "hearts:15": {
        "minecraft:health": {
          "value": 38,
          "max": 38
        }
      },
      "hearts:16": {
        "minecraft:health": {
          "value": 40,
          "max": 40
        }
      },
      "hearts:17": {
        "minecraft:health": {
          "value": 42,
          "max": 42
        }
      },
      "hearts:18": {
        "minecraft:health": {
          "value": 44,
          "max": 44
        }
      },
      "hearts:19": {
        "minecraft:health": {
          "value": 46,
          "max": 46
        }
      },
      "hearts:20": {
        "minecraft:health": {
          "value": 48,
          "max": 48
        }
      },
      "hearts:21": {
        "minecraft:health": {
          "value": 50,
          "max": 50
        }
      },
      "hearts:22": {
        "minecraft:health": {
          "value": 52,
          "max": 52
        }
      },
      "hearts:23": {
        "minecraft:health": {
          "value": 54,
          "max": 54
        }
      },
      "hearts:24": {
        "minecraft:health": {
          "value": 56,
          "max": 56
        }
      },
      "hearts:25": {
        "minecraft:health": {
          "value": 58,
          "max": 58
        }
      },
      "hearts:26": {
        "minecraft:health": {
          "value": 60,
          "max": 60
        }
      },
      "minecraft:add_bad_omen": {
        "minecraft:spell_effects": {
          "add_effects": [
            {
              "effect": "bad_omen",
              "duration": 6000,
              "display_on_screen_animation": true
            }
          ]
        },
        "minecraft:timer": {
          "time": [ 0.0, 0.0 ],
          "looping": false,
          "time_down_event": {
            "event": "minecraft:clear_add_bad_omen",
            "target": "self"
          }
        }
      },
      "minecraft:clear_bad_omen_spell_effect": {
        "minecraft:spell_effects": {
        }
      },
      "minecraft:raid_trigger": {
        "minecraft:raid_trigger": {
          "triggered_event": {
            "event": "minecraft:remove_raid_trigger",
            "target": "self"
          }
        },
        "minecraft:spell_effects": {
          "remove_effects": "bad_omen"
        }
      }
    },

    "components": {
      "minecraft:experience_reward": {
        "on_death": "Math.Min(query.player_level * 7, 100)"
      },
      "minecraft:type_family": {
        "family": [ "player" ]
      },
      "minecraft:is_hidden_when_invisible": {
      },
      "minecraft:loot": {
        "table": "loot_tables/empty.json"
      },
      "minecraft:collision_box": {
        "width": 0.6,
        "height": 1.8
      },
      "minecraft:can_climb": {
      },
      "minecraft:movement": {
        "value": 0.1
      },
      "minecraft:hurt_on_condition": {
        "damage_conditions": [
          {
            "filters": { "test": "in_lava", "subject": "self", "operator": "==", "value": true },
            "cause": "lava",
            "damage_per_tick": 4
          }
        ]
      },
      "minecraft:attack": {
        "damage": 1
      },
      "minecraft:player.saturation": {
        "value": 20
      },
      "minecraft:player.exhaustion": {
        "value": 0,
        "max": 4
      },
      "minecraft:player.heart": {
        "value": 0,
        "max": 24791
      },
      "minecraft:player.experience": {
        "value": 0,
        "max": 1
      },
      "minecraft:breathable": {
        "total_supply": 15,
        "suffocate_time": -1,
        "inhale_time": 3.75,
        "generates_bubbles": false
      },
      "minecraft:nameable": {
        "always_show": true,
        "allow_name_tag_renaming": false
      },
      "minecraft:physics": {
      },
      "minecraft:pushable": {
        "is_pushable": false,
        "is_pushable_by_piston": true
      },
      "minecraft:insomnia": {
        "days_until_insomnia": 3
      },
      "minecraft:rideable": {
        "seat_count": 2,
        "family_types": [
          "parrot_tame"
        ],
        "pull_in_entities": true,
        "seats": [
          {
            "position": [ 0.4, -0.2, -0.1 ],
            "min_rider_count": 0,
            "max_rider_count": 0,
            "lock_rider_rotation": 0
          },
          {
            "position": [ -0.4, -0.2, -0.1 ],
            "min_rider_count": 1,
            "max_rider_count": 2,
            "lock_rider_rotation": 0
          }
        ]
      },
      "minecraft:scaffolding_climber": {},
      "minecraft:environment_sensor": [
        {
          "on_environment": {
             "filters": {
               "all_of": [
               {
                  "test": "has_mob_effect",
                  "subject": "self",
                  "value": "bad_omen"
                },
                {
                  "test": "is_in_village",
                  "subject": "self",
                  "value": true
                }
              ]
            },
            "event": "minecraft:trigger_raid"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart1"
                }
              ]
            },
            "event": "hearts:event_1"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart2"
                }
              ]
            },
            "event": "hearts:event_2"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart3"
                }
              ]
            },
            "event": "hearts:event_3"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart4"
                }
              ]
            },
            "event": "hearts:event_4"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart5"
                }
              ]
            },
            "event": "hearts:event_5"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart6"
                }
              ]
            },
            "event": "hearts:event_6"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart7"
                }
              ]
            },
            "event": "hearts:event_7"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart8"
                }
              ]
            },
            "event": "hearts:event_8"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart9"
                }
              ]
            },
            "event": "hearts:event_9"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart10"
                }
              ]
            },
            "event": "hearts:event_10"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart11"
                }
              ]
            },
            "event": "hearts:event_11"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart12"
                }
              ]
            },
            "event": "hearts:event_12"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart13"
                }
              ]
            },
            "event": "hearts:event_13"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart14"
                }
              ]
            },
            "event": "hearts:event_14"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart15"
                }
              ]
            },
            "event": "hearts:event_15"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart16"
                }
              ]
            },
            "event": "hearts:event_16"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart17"
                }
              ]
            },
            "event": "hearts:event_17"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart18"
                }
              ]
            },
            "event": "hearts:event_18"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart19"
                }
              ]
            },
            "event": "hearts:event_19"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart20"
                }
              ]
            },
            "event": "hearts:event_20"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart21"
                }
              ]
            },
            "event": "hearts:event_21"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart22"
                }
              ]
            },
            "event": "hearts:event_22"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart23"
                }
              ]
            },
            "event": "hearts:event_23"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart24"
                }
              ]
            },
            "event": "hearts:event_24"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart25"
                }
              ]
            },
            "event": "hearts:event_25"
          }
        },
        {
          "on_environment": {
            "filters": {
              "all_of": [
                {
                  "test": "has_tag",
                  "subject": "self",
                  "operator": "equals",
                  "value": "heart26"
                }
              ]
            },
            "event": "hearts:event_26"
          }
        }
      ]
    },

    "events": {
      "hearts:event_1": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:1"
          ]
        }
      },
      "hearts:event_2": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:2"
          ]
        }
      },
      "hearts:event_3": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:3"
          ]
        }
      },
      "hearts:event_4": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:4"
          ]
        }
      },
      "hearts:event_5": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:5"
          ]
        }
      },
      "hearts:event_6": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:6"
          ]
        }
      },
      "hearts:event_7": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:7"
          ]
        }
      },
      "hearts:event_8": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:8"
          ]
        }
      },
      "hearts:event_9": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:9"
          ]
        }
      },
      "hearts:event_10": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:10"
          ]
        }
      },
      "hearts:event_11": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:11"
          ]
        }
      },
      "hearts:event_12": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:12"
          ]
        }
      },
      "hearts:event_13": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:13"
          ]
        }
      },
      "hearts:event_14": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:14"
          ]
        }
      },
      "hearts:event_15": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:15"
          ]
        }
      },
      "hearts:event_16": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:16"
          ]
        }
      },
      "hearts:event_17": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:17"
          ]
        }
      },
      "hearts:event_18": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:18"
          ]
        }
      },
      "hearts:event_19": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:19"
          ]
        }
      },
      "hearts:event_20": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:20"
          ]
        }
      },
      "hearts:event_21": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:21"
          ]
        }
      },
      "hearts:event_22": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:22"
          ]
        }
      },
      "hearts:event_23": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:23"
          ]
        }
      },
      "hearts:event_24": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:24"
          ]
        }
      },
      "hearts:event_25": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:25"
          ]
        }
      },
      "hearts:event_26": {
       "remove": {
         "component_groups": [
           "hearts:1",
           "hearts:2",
           "hearts:3",
           "hearts:4",
           "hearts:5",
           "hearts:6",
           "hearts:7",
           "hearts:8",
           "hearts:9",
           "hearts:10",
           "hearts:11",
           "hearts:12",
           "hearts:13",
           "hearts:14",
           "hearts:15",
           "hearts:16",
           "hearts:17",
           "hearts:18",
           "hearts:19",
           "hearts:20",
           "hearts:21",
           "hearts:22",
           "hearts:23",
           "hearts:24",
           "hearts:25",
           "hearts:26"
          ]
        },
        "add": {
          "component_groups": [
            "hearts:26"
          ]
        }
      },

      "minecraft:gain_bad_omen": {
        "add": {
          "component_groups": [
            "minecraft:add_bad_omen"
          ]
        }
      },
      "minecraft:clear_add_bad_omen": {
        "remove": {
          "component_groups": [
            "minecraft:add_bad_omen"
          ]
        },
        "add": {
          "component_groups": [
            "minecraft:clear_bad_omen_spell_effect"
          ]
        }
      },
      "minecraft:trigger_raid": {
        "add": {
          "component_groups": [ "minecraft:raid_trigger" ]
        }
      },
      "minecraft:remove_raid_trigger": {
        "remove": {
          "component_groups": [ "minecraft:raid_trigger" ]
        }
      }
    }
  }
}